
(* This file is part of Numerix.  Numerix is free software; you can
   redistribute it and/or modify it under the terms of the GNU General
   Public License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
   USA *)

(* +------------------------------------------------------------------------+
   |                 Entiers de longueur arbitraire                         |
   |                 Comparaison entre deux modules                         |
   +------------------------------------------------------------------------+ *)

(* M. Quercia, 13/02/2001 *)

open Numerix

(* Effectue les oprations  la fois dans A et B et vrifie l''galit  *)
(* des rsultats.                                                       *)
(* does every operation on both modules A and B and check for identical *)
(* results.                                                             *)
module M(A:Int_type)(B:Int_type) : Int_type

(* Slection  l''excution de deux modules  comparer                  *)
(* Run-time selection of modules to compare                             *)
module Start(Main : functor(E:Int_type) -> Main_type) : sig
  val start : unit -> unit
end
